package be.iminds.ilabt.jfed.experimenter_gui.slice.actions;

import be.iminds.ilabt.jfed.experiment.Experiment;
import be.iminds.ilabt.jfed.experiment.ExperimentController;
import javafx.stage.Window;

/**
 * User: twalcari
 * Date: 2/4/2015
 * Time: 09:55
 */
public abstract class ExperimentAction implements Runnable{

    protected final Window parentWindow;
    protected final ExperimentController experimentController;
    protected final Experiment experiment;

    public ExperimentAction(Window parentWindow, ExperimentController experimentController) {
        this.experimentController = experimentController;
        this.experiment = experimentController.getExperiment();
        this.parentWindow = parentWindow;
    }
}
